Class | Test::Unit::Collector::ObjectSpace
In: | test/unit/collector/objectspace.rb
Parent: | Object

### Methods

collect new

### Included Modules

Collector

### Constants

NAME | = | 'collected from the ObjectSpace'

### Public Class methods

new(source=::ObjectSpace)

[Source]

    # File test/unit/collector/objectspace.rb, line 15
            def initialize(source=::ObjectSpace)
              super()
              @source = source
            end

### Public Instance methods

collect(name=NAME)

[Source]

    # File test/unit/collector/objectspace.rb, line 20
            def collect(name=NAME)
              suite = TestSuite.new(name)
              sub_suites = []
              @source.each_object(Class) do |klass|
                if(Test::Unit::TestCase > klass)
                  add_suite(sub_suites, klass.suite)
                end
              end
              sort(sub_suites).each{|s| suite << s}
              suite
            end

[Validate]